## org.apache.batik.gvt
Class Marker

    java.lang.Object
      org.apache.batik.gvt.Marker

public class Marker
extends java.lang.Object

A Marker describes a GraphicsNode with a reference point that can be used to position the Marker at a particular location and a particular policy for rotating the marker when drawing it.

Field Summary
`protected GraphicsNode` `markerNode` GraphicsNode this marker is associated to
`protected double` `orient` Rotation angle, about (0, 0) is user space.
`protected java.awt.geom.Point2D` `ref` Reference point about which the marker should be drawn

Constructor Summary
`Marker(GraphicsNode markerNode, java.awt.geom.Point2D ref, double orient)` Constructs a new marker.

Method Summary
`GraphicsNode` `getMarkerNode()` Returns the `GraphicsNode` that draws this marker.
`double` `getOrient()` Returns the orientation of this marker.
`java.awt.geom.Point2D` `getRef()` Returns the reference point of this marker.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### orient

    protected double orient

  Rotation angle, about (0, 0) is user space. If orient is NaN then the marker's x-axis should be aligned with the slope of the curve on the point where the object is drawn

### markerNode

    protected GraphicsNode markerNode

  GraphicsNode this marker is associated to

### ref

    protected java.awt.geom.Point2D ref

  Reference point about which the marker should be drawn

Constructor Detail

### Marker

    public Marker(GraphicsNode markerNode,
                  java.awt.geom.Point2D ref,
                  double orient)

  Constructs a new marker.

Parameters:
  `markerNode` - the graphics node that represents the marker
  `ref` - the reference point
  `orient` - the orientation of the marker

Method Detail

### getRef

    public java.awt.geom.Point2D getRef()

  Returns the reference point of this marker.

### getOrient

    public double getOrient()

  Returns the orientation of this marker.

### getMarkerNode

    public GraphicsNode getMarkerNode()

  Returns the `GraphicsNode` that draws this marker.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.